<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">

<head><meta http-equiv='content-type' content='application/xhtml+xml; charset=windows-1251'/>
<link rel="shortcut icon" href="../ico1.ico" type="image/x-icon" />

<title>Лекарь</title>
<link rel="stylesheet" href="../styleN.css" type="text/css" />
<div class="menu">
<div class="line"></div>
<div class="footto">

<div class="foot"><center><b>«лечение»</b></center></div>
</div>
<div class="line"></div>
<div class="footto">
<?
//лекарь
@include('../db.php');
$db->openDB();
$NICK= $_GET['NICK'];
$pass= $_GET['pass'];
$HP_PR31=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while($HP_PR41=mysql_fetch_assoc($HP_PR31)){
echo"<div class=\"footfoot\"><font color=\"lime\">здоровье: <img src=\"../img/hp.png\" height=\"10\" width=\"10\" title=\"Здоровье-если показатель здоровья упадет до 0,персонаж погибнет\">  $HP_PR41[MINhp]/$HP_PR41[MAXhp]     </font>";

                echo "<font color=\"lightblue\"><font color=\"lime\">|</font> манна: <img src=\"../img/mp.png\" width=\"10\" height=\"10\" title=\"Мана-расходуется при использовании свитков с заклинаниями и магии\">  $HP_PR41[MINmp]/$HP_PR41[MAXmp]      </font><br/>";   

}
$hiller=mysql_query("SELECT * FROM seconSKILLS WHERE NICK_SSKILLS=\"$NICK\" AND KEY_SSKILLS=\"hiller\"");
if(mysql_num_rows($hiller)<1){echo'<div class="foot"><center>ваш навык лекаря равен 0</center></div>';die;}
if(mysql_num_rows($hiller)>0){
$pr_bint=mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.bint\" AND ID_USERS=\"$NICK\"");
#####если бинтов 0 ,то выдаем ошибку
if(mysql_num_rows($pr_bint)<1){echo'<div class="foot"><center>у вас нету бинтов чтобы залечить раны</center></div>';die;}
#####ок бинты есть ,проверяем уровень навыка и пробуем залечить раны
if(mysql_num_rows($pr_bint)>0){
while($hiller2=mysql_fetch_assoc($hiller)){
if($hiller2[LVL_SSKILLS]==1){
$SHANS=rand(0,100);
$hp_1=rand(5,15);
$HP_PR=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while($HP_PR2=mysql_fetch_assoc($HP_PR)){
if($HP_PR2[MINhp]==$HP_PR2[MAXhp]){echo'ваше здоровье полностью восстановлено,нет смысла тратить бинты';die;}
}
if($SHANS<=20){
$HP_PR3=mysql_query("SELECT * FROM users WHERE NICK=\"$NICK\"");
while($HP_PR4=mysql_fetch_assoc($HP_PR3)){
if($HP_PR4[MINhp]+$hp_1>=$HP_PR4[MAXhp]){echo'вы успешно перебинтовали раны,жизнь +'.$hp_1;
$hpp2=$HP_PR4[MINhp]=$HP_PR4[MAXhp];
$MINhPL=mysql_query("UPDATE users SET MINhp=\"$hpp2\" WHERE NICK=\"$NICK\"");
$bintM=mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.bint\" AND ID_USERS=\"$NICK\"");
while($bintM2=mysql_fetch_assoc($bintM)){
$BNTMIN=$bintM2[IL_COUNT]-1;
if($BNTMIN>1){$BNTMIN2=mysql_query("UPDATE inv SET IL_COUNT=\"$BNTMIN\" WHERE ID_USERS=\"$NICK\"");}
if($BNTMIN==1){$BNTMIN2=mysql_query("DELETE FROM inv WHERE IL_KEY=\"i.bint\" AND ID_USERS=\"$NICK\"");}
}
echo"<br/><a href=\"hiller.php?NICK=$NICK&pass=$pass&lekar=bint\">лечить себя</a>";
die;}
if($HP_PR4[MINhp]+$hp_1<$HP_PR4[MAXhp]){echo'вы успешно перебинтовали раны,жизнь +'.$hp_1;
$hpp=$HP_PR4[MINhp]+$hp_1;
$MINhPL=mysql_query("UPDATE users SET MINhp=\"$hpp\" WHERE NICK=\"$NICK\"");
$bintM=mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.bint\" AND ID_USERS=\"$NICK\"");
while($bintM2=mysql_fetch_assoc($bintM)){$BNTMIN=$bintM2[IL_COUNT]-1;
$BNTMIN=$bintM2[IL_COUNT]-1;
if($BNTMIN>1){$BNTMIN2=mysql_query("UPDATE inv SET IL_COUNT=\"$BNTMIN\" WHERE ID_USERS=\"$NICK\"");}
if($BNTMIN==1){$BNTMIN2=mysql_query("DELETE FROM inv WHERE IL_KEY=\"i.bint\" AND ID_USERS=\"$NICK\"");}
}
echo"<br/><a href=\"hiller.php?NICK=$NICK&pass=$pass&lekar=bint\">лечить себя</a>";
die;}
}
die;}
if($SHANS>20){echo'вам не удалось перебинтовать раны';
$bintM=mysql_query("SELECT * FROM inv WHERE IL_KEY=\"i.bint\" AND ID_USERS=\"$NICK\"");
while($bintM2=mysql_fetch_assoc($bintM)){$BNTMIN=$bintM2[IL_COUNT]-1;
$BNTMIN=$bintM2[IL_COUNT]-1;
if($BNTMIN>1){$BNTMIN2=mysql_query("UPDATE inv SET IL_COUNT=\"$BNTMIN\" WHERE ID_USERS=\"$NICK\"");}
if($BNTMIN==1){$BNTMIN2=mysql_query("DELETE FROM inv WHERE IL_KEY=\"i.bint\" AND ID_USERS=\"$NICK\"");}
}
echo"<br/><a href=\"hiller.php?NICK=$NICK&pass=$pass&lekar=bint\">лечить себя</a>";
die;}

die;}##вы можете восстановить от 5 до 15 ед.жизни
if($hiller2[LVL_SSKILLS]==2){echo'ваш навык лекаря равен 2';die;}##вы можете восстановить от 10 до 30 ед.жизни
if($hiller2[LVL_SSKILLS]==3){echo'ваш навык лекаря равен 3';die;}##вы можете восстановить от 15 до 45 ед.жизни
if($hiller2[LVL_SSKILLS]==4){echo'ваш навык лекаря равен 4';die;}##вы можете восстановить от 20 до 60 ед.жизни
if($hiller2[LVL_SSKILLS]==5){echo'ваш навык лекаря равен 5';die;}##вы можете восстановить от 25 до 75 ед.жизни
if($hiller2[LVL_SSKILLS]==6){echo'ваш навык лекаря равен 6';die;}##вы можете восстановить от 30 до 90 ед.жизни
if($hiller2[LVL_SSKILLS]==7){echo'ваш навык лекаря равен 7';die;}##вы можете восстановить от 40 до 105 ед.жизни
}


die;}
die;}
?>